Bug 826685 - Review Request: lcab - A Cabinet File Creation Tool
Review Request: lcab - A Cabinet File Creation Tool
Status: CLOSED DUPLICATE of bug 896033
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 14:42 EDT by Marc-Andre Lureau
Modified: 2013-02-04 04:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 14:31:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc-Andre Lureau 2012-05-30 14:42:16 EDT
Spec URL: http://elmarco.fedorapeople.org/lcab.spec
SRPM URL: http://elmarco.fedorapeople.org/lcab-1.0b12-1.fc17.src.rpm
Description: A Cabinet File Creation Tool
Fedora Account System Username: elmarco
Comment 1 Marc-Andre Lureau 2012-05-30 14:43:46 EDT
lcab.x86_64: W: spelling-error %description -l en_US rien -> rain, rein, risen
lcab.x86_64: W: spelling-error %description -l en_US geekshop -> geek shop, geek-shop, geeks hop
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/main.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cstruct.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/mytypes.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.c
Comment 2 Fabian Affolter 2012-11-04 04:39:11 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/fab/reviews/826685-lcab/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (lcab-1.0b12.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).


Rpmlint
-------
Checking: lcab-1.0b12-1.fc17.src.rpm
          lcab-debuginfo-1.0b12-1.fc17.x86_64.rpm
          lcab-1.0b12-1.fc17.x86_64.rpm
lcab.src: W: spelling-error %description -l en_US rien -> rain, rein, risen
lcab.src: W: spelling-error %description -l en_US geekshop -> geek shop, geek-shop, geeks hop
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/main.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cstruct.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/mytypes.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.c
lcab.x86_64: W: spelling-error %description -l en_US rien -> rain, rein, risen
lcab.x86_64: W: spelling-error %description -l en_US geekshop -> geek shop, geek-shop, geeks hop
3 packages and 0 specfiles checked; 15 errors, 4 warnings.

Please inform upstream about the new FSF address.

Rpmlint (installed packages)
----------------------------
# rpmlint lcab-debuginfo lcab
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cwrite.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfolder.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cdata.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cfile.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/main.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.c
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/checksum.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cstruct.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/mytypes.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.h
lcab-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/lcab-1.0b12/cheader.c
lcab.x86_64: W: spelling-error %description -l en_US rien -> rain, rein, risen
lcab.x86_64: W: spelling-error %description -l en_US geekshop -> geek shop, geek-shop, geeks hop
2 packages and 0 specfiles checked; 15 errors, 2 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/fab/reviews/826685-lcab/srpm/lcab.spec	2012-11-04 10:10:52.380683562 +0100
+++ /home/fab/reviews/826685-lcab/srpm-unpacked/lcab.spec	2012-11-04 10:10:54.719701694 +0100
@@ -37,4 +37,5 @@
 
 
+
 %changelog
 * Wed May 30 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0b12-1


Requires
--------
lcab-debuginfo-1.0b12-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

lcab-1.0b12-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  



Provides
--------
lcab-debuginfo-1.0b12-1.fc17.x86_64.rpm:
    
    lcab-debuginfo = 1.0b12-1.fc17
    lcab-debuginfo(x86-64) = 1.0b12-1.fc17

lcab-1.0b12-1.fc17.x86_64.rpm:
    
    lcab = 1.0b12-1.fc17
    lcab(x86-64) = 1.0b12-1.fc17



MD5-sum check
-------------
ftp://ohnopublishing.net/mirror/lcab-1.0b12.tar.gz :
  CHECKSUM(SHA256) this package     : 065f2c1793b65f28471c0f71b7cf120a7064f28d1c44b07cabf49ec0e97f1fc8
  CHECKSUM(SHA256) upstream package : 065f2c1793b65f28471c0f71b7cf120a7064f28d1c44b07cabf49ec0e97f1fc8


===== Additional issues =====
- The versioning 1.0b12 looks like a pre-release.
  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

- %{?_version_suffix} is not defined in 'Source0: ftp://ohnopublishing.net/mirror/%{name}-%{version}%{?_version_suffix}.tar.gz'

Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 826685
Comment 3 Marc-Andre Lureau 2013-01-15 14:31:35 EST
I am no longer interested in lcab, I wrote a cab library and tool from scratch instead, I will open a different bug for it.
Comment 4 Fabian Affolter 2013-02-04 04:59:31 EST

*** This bug has been marked as a duplicate of bug 896033 ***

Note You need to log in before you can comment on or make changes to this bug.